import request from "@/http/request";

const getLocations = (params) => {
    return request({
        url: '/location/getLocationsByPage',
        method: 'post',
        data: params
    })
}

const updateLocation = (params) => {
    return request({
        url: '/location/updateLocation',
        method: 'post',
        data: params
    })
}

const getELocationsByPage = (params) => {
    return request({
        url: '/location/getELocationsByPage',
        method: 'post',
        data: params
    })
}

const updateELocationInfo = (params) => {
    return request({
        url: '/location/updateELocationInfo',
        method: 'post',
        data: params
    })
}

export {
    getLocations,
    updateLocation,
    getELocationsByPage,
    updateELocationInfo
}